Bug 131751 - up2date won't subst $ARCH in dir repos
up2date won't subst $ARCH in dir repos
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-03 17:51 EDT by Alexandre Oliva
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 09:33:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2004-09-03 17:51:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809

Description of problem:
It would be nice if $ARCH substitutions could be done on dir trees, as
in this patch:

--- sourcesConfig.py~   2004-09-03 18:47:31.382475577 -0300
+++ sourcesConfig.py    2004-09-03 18:49:13.435101788 -0300
@@ -124,6 +124,9 @@
             print "at line: %s" % line
             return

+        arch = up2dateUtils.getUnameArch()
+        path = string.replace(path, "$ARCH", arch)
+        name = string.replace(name, "$ARCH", arch)
         self.repos.append({'type':'dir','path':path, 'label':name})

     def parseYum(self, line):


Version-Release number of selected component (if applicable):
up2date-4.3.29-6.0

How reproducible:
Always

Steps to Reproduce:
1.Add a line as follows to /etc/sysconfig/rhn/sources:
   dir fedora-core-rawhide-$ARCH /local/rawhide/$ARCH/Fedora/RPMS
2.Run up2date

Actual Results:  It won't replace $ARCH.

Expected Results:  It should.

Additional info:

Looks like the same problem is present in apt (but not apt-mirror)
handling.
Comment 1 John Thacker 2006-10-29 09:33:05 EST
Note that FC1 and FC2 are no longer supported even by Fedora Legacy, and FC3 and
FC4 are supported by Fedora Legacy only for security issues.  Please retest this
bug against a still supported version and retest.  If this still occurs on FC3
or FC4 and is a security issue, please reopen the bug and assign it to that
version and Fedora Legacy.  If it occurs on RHEL, please change to that product
and the appropriate version.

Note that up2date has been replaced by pirut/pup for FC5 and FC6, the only
fully-supported versions of Fedora Core.  Please test pirut for software updates
and file bugs as appropriate.

Note You need to log in before you can comment on or make changes to this bug.